using FluentValidation;

namespace Indotalent.Features.Sales.SalesOrder.Cqrs;

public class CreateSalesOrderValidator : AbstractValidator<CreateSalesOrderRequest>
{
    public CreateSalesOrderValidator()
    {
        RuleFor(x => x.OrderDate).NotEmpty().WithMessage("Date is required");
        RuleFor(x => x.CustomerId).NotEmpty().WithMessage("Customer is required");
    }
}